<template>
    <div>
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Factory</th>
            <th>Color</th>
            <th>Actions</th>
        </tr>
        <OneCar v-for="car in getCars" :key="car.id" :carOne="car" />
    </div>
</template>

<script>

import OneCar from '@/components/OneCar.vue';
import { mapGetters } from 'vuex';
export default {
    name: 'CarsList',
    components: {
        OneCar,
    },
    computed: {
        ...mapGetters(['getCars'])
    },

}
</script>

<style lang="scss" scoped>
th {
    width: 10vw;
    text-align: left;
    border: 1px solid black;
    background-color: antiquewhite;
}
</style>